New Search

.NET Framework x64 JIT Compiler Vulnerability

oval:org.mitre.oval:def:6824

The JIT compiler in Microsoft .NET Framework 4.0 on 64-bit platforms does not properly perform optimizations which allows remote attackers to execute arbitrary code via a crafted .NET application that triggers memory corruption aka ".NET Framework x64 JIT Compiler Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2010-3228
Product(s):
  • Microsoft .NET Framework